      subroutine termin(error)
c
c***********************************************************************
c
c     termin        september, 2001   c wellemeyer,  ssai
c
c     purpose:
c        terminate sbuv daily processing
c
c     calling sequence:
c        call termin(error)
c
c     variables:
c       name         type  i/o  description
c       ----         ----  ---  -----------
c
c      arguments
c       error        l*4    i   error flag
c
c     calling routine:        sbvmain
c
c***********************************************************************
c
      implicit none
c
      logical*4 error
c
      if(error) write(20,5000)
      if(.not. error) write(20,5100)
c
      close(4)
      close(6)
      close(8)
      close(9)
      close(11)
      close(13)
      close(14)
      close(15)
      close(19)
      close(20)
      close(21)
      close(30)
c
      return
c
 5000  format(////,' ******** processing terminated with error',
     .             ' ********')
 5100  format(////,' ******** processing terminated normally',
     ,             ' ********')
      end

